Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.pdf.SnappedPoint Class Reference
Inheritance diagram for com.foxit.sdk.pdf.SnappedPoint:

## Public Member Functions
| SnappedPoint (SnappedPoint other)
| Constructor, with another snapped point object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
PointF | getPoint ()
| Get the point value. More...
int | getType ()
| Get the snapped point type. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...

## Static Public Attributes
static final int | e_TypeEndpoint = 1
| Snapped point type: endpoint, which means the snapped point is an endpoint of a path.
static final int | e_TypeIntersectionPoint = 3
| Snapped point type: intersection point, which means the snapped point is the intersection of two intersecting paths.
static final int | e_TypeMidpoint = 2
| Snapped point type: midpoint, which means the snapped point is the midpoint for two endpoints of a path.
static final int | e_TypeNearestPoint = 4
| Snapped point type: nearest point, which means the snapped point is the nearest point (which is in a path) to the specified point.
static final int | e_TypeNone = 0
| This means the snapped point is invalid.

## Detailed Description

This class represents information of a snapped point, which is snapped with specified snapping flags by class SnapPointMgr .

See also
  SnapPointMgr .

## Constructor & Destructor Documentation

## ◆ SnappedPoint()

com.foxit.sdk.pdf.SnappedPoint.SnappedPoint | ( | SnappedPoint | other | ) |

Constructor, with another snapped point object.

Parameters

  [in] | other | Another snapped point object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.SnappedPoint.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

Reimplemented from com.foxit.sdk.common.Base.

## ◆ getPoint()

PointF com.foxit.sdk.pdf.SnappedPoint.getPoint | ( |  | ) |

Get the point value.

Point value represents a point in a path.

Returns
  Snapped point value.

## ◆ getType()

int com.foxit.sdk.pdf.SnappedPoint.getType | ( |  | ) |

Get the snapped point type.

Returns
  Snapped point type. Please refer to values starting from com.foxit.sdk.pdf.SnappedPoint.e_TypeNone and this would be one of these values.

## ◆ isEmpty()

boolean com.foxit.sdk.pdf.SnappedPoint.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.